summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-09-29 09:28:09 +0200
committerJustin Lecher <jlec@gentoo.org>2015-09-29 09:28:19 +0200
commit47c16b77686a0bc6e8e9f4bcfbcf2cf9dc08b29f (patch)
tree5dfc66ad2c9dd54b571b2f78f06798ea73a6b47f /dev-python
parentdev-python/enable: Version Bump and fix for newer swig (diff)
downloadgentoo-47c16b77686a0bc6e8e9f4bcfbcf2cf9dc08b29f.tar.gz
gentoo-47c16b77686a0bc6e8e9f4bcfbcf2cf9dc08b29f.tar.bz2
gentoo-47c16b77686a0bc6e8e9f4bcfbcf2cf9dc08b29f.zip
dev-python/httplib2: Version Bump
Package-Manager: portage-2.2.22 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/httplib2/Manifest1
-rw-r--r--dev-python/httplib2/httplib2-0.9.2.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/httplib2/Manifest b/dev-python/httplib2/Manifest
index 64988ddabd4..45bed218b50 100644
--- a/dev-python/httplib2/Manifest
+++ b/dev-python/httplib2/Manifest
@@ -1,2 +1,3 @@
DIST httplib2-0.8.tar.gz 148284 SHA256 af689bc3cb10a95721eb0d0cf806202a699e7799dacd3497f63b48b2ba429c3f SHA512 3b95b2f64f7b24a638792562e2d8645f9087ab716a105c8771e002507fde3cca9eb7e5de27140a7aed075e70ebd83fbfbda798714a94153b6233b2b704db1176 WHIRLPOOL 3aa30e5e4cdb08cb6e8544d2fb82eb02492ce04a5752255ae281389fcc382aceecdb060a3cda0a926eba4bbe15563d379851c97cbcabbb17106696f4a90d4987
DIST httplib2-0.9.1.tar.gz 205074 SHA256 bc6339919a5235b9d1aaee011ca5464184098f0c47c9098001f91c97176583f5 SHA512 2005d55c94971163b42366a33578f068b3e1316d59b4d834dc2d2ebcfa050d1492a27d0eefaceea48ed0cc41d8d6d3eb1b401658546a317ff82f0901a441f716 WHIRLPOOL 0d680d8a5745313c64cf0704d1e0aafd14e71a923ef3290caa118b867dc2722f087c6cc2977f104a025a2409d86a4561aac5f39718d80c083d58cd953d32b69d
+DIST httplib2-0.9.2.tar.gz 205165 SHA256 c3aba1c9539711551f4d83e857b316b5134a1c4ddce98a875b7027be7dd6d988 SHA512 cf1684f2d072588bc676c02491667480bdd2be0b3494703129d9cfa339d1233e14c0b4895b174d4c2ec5e2f5ae265d165b4e001b180f39f81db2178f91a032f8 WHIRLPOOL d795a016202821870e890531011e7c1c51dbc52f78f79ccf078e85fb3c1155dcf996b2e629b450ba79e34ccdda41e3df3d80293e102c39a76a57d174e51a884e
diff --git a/dev-python/httplib2/httplib2-0.9.2.ebuild b/dev-python/httplib2/httplib2-0.9.2.ebuild
new file mode 100644
index 00000000000..78cdde8b65b
--- /dev/null
+++ b/dev-python/httplib2/httplib2-0.9.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A comprehensive HTTP client library"
+HOMEPAGE="https://pypi.python.org/pypi/httplib2 https://github.com/jcgregorio/httplib2"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# tests connect to random remote sites
+RESTRICT="test"
+
+python_test() {
+ if [[ ${EPYTHON} == python2.7 ]] ; then
+ cd python2 || die
+ else
+ cd python3 || die
+ fi
+
+ "${PYTHON}" httplib2test.py || die
+}